import request from '@/apis/request.js'
const { get, post } = request

export const login = (data) => {
  return post('nakadai/kindergarten/platformTeamAccount/weChatAppletCallbackByKindergarten', data)
}
export const kindergartenWeChatApplication = (data) => {
  return post('nakadai/kindergarten/platformTeamAccount/kindergartenWeChatApplication', data)
}
export const loginWithPhoneNumber = (data) => {
  return post('nakadai/kindergarten/platformTeamAccount/loginWithPhoneNumber', data)
}
export const realNameAuthentication = (data) => {
  return post(`nakadai/users/autonym/realNameAuthentication`, data)
}
export const faceAuthentication = (data) => {
  return post(`nakadai/users/autonym/faceAuthentication?imgFile=${data.imgFile}&side=${data.side}`)
}
export const authenticationOrNot = () => {
  return post(`nakadai/users/autonym/authenticationOrNot`)
}
export const businessLicensePictureVerification = (imgFile) => {
  return post(`nakadai/users/autonym/businessLicensePictureVerification?imgFile=${imgFile}`)
}
export const creditCodeAuthentication = (data) => {
  return post(`nakadai/users/autonym/creditCodeAuthentication`, data)
}
export const organizationCertification = (data) => {
  return post(`nakadai/users/autonym/organizationCertification`, data)
}
export const updateTeamInfo = (data) => {
  return post(`nakadai/kindergarten/platformTeamAccount/updateTeamInfo`, data)
}
export const queryTeamInfo = (data) => {
  return get(`nakadai/kindergarten/platformTeamAccount/queryTeamInfo`, data)
}
export const viewUserDetails = (data) => {
  return get(`users/users/userAccount/viewUserDetails`, data)
}
export const enterpriseCertificationStatus = (openId) => {
  return post(`nakadai/enterprise/certification/enterpriseCertificationStatus?openId=${openId}`)
}
export const saveCertification = (data) => {
  return post(`nakadai/enterprise/certification/save`, data)
}
export const updateCertification = (data) => {
  return post(`nakadai/enterprise/certification/update`, data)
}



export const queryProvince = () => {
  return get('nakadai/nakadai/province/queryProvince')
}

export const queryCity = (data) => {
  return get('nakadai/nakadai/city/queryCity', data)
}

export const updateAvatars = data => {
  return post(`users/users/user/updateAvatars?openId=${data.openId}&url=${data.url}&userName=${data.userName}&platformId=7`)
}

export const sendPhoneOrEmailCode = (data) => {
  return post('users/users/userAccount/sendPhoneOrEmailCode', data)
}
export const userBinding = (data) => {
  return post('users/users/user/userBinding', data)
}

export const changeAccount = account => {
  return post(`users/users/applets/mine/changeAccount?account=${account}`)
}

export const changePhoneNumber = (phone, code) => {
  return post(`users/users/applets/mine/changePhoneNumber?phone=${phone}&code=${code}`)
}

export const checkIfAnAccountExists = account => {
  return post(`users/users/applets/mine/checkIfAnAccountExists?account=${account}`)
}

export const checkIfThePhoneNumberExists = phone => {
  return post(`users/users/applets/mine/checkIfThePhoneNumberExists?phone=${phone}`)
}

export const queryPartnerAccount = phone => {
  return post(`nakadai/nakadai/partnerAccount/queryPartnerAccount?phone=${phone}`)
}

export const getSessionKey = data => {
  return post(`users/users/user/getSessionKey`, data)
}

export const inviteJoinOrganization = data => {
  return post(`nakadai/kindergarten/platformTeamAccount/inviteJoinOrganization`, data)
}
